javax.enterprise.deploy.model

## Interface DDBeanRoot

- All Superinterfaces:
    DDBean

      public interface DDBeanRoot
      extends DDBean

  An interface that represents the root of a standard deployment descriptor. A DDBeanRoot is a type of DDBean.
  Author:
    gfink

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDDBeanRootVersion()` Returns the version number of an XML instance document.
    `DeployableObject` | `getDeployableObject()` Return the containing DeployableObject
    `String` | `getFilename()` Returns the filename relative to the root of the module of the XML instance document this DDBeanRoot represents.
    `String` | `getModuleDTDVersion()` Deprecated. As of version 1.1 replaced by DDBeanRoot.getDDBeanRootVersion()
    `ModuleType` | `getType()` Return the ModuleType of deployment descriptor.
    `String` | `getXpath()` Return the XPath for this standard bean.

    - ### Methods inherited from interface javax.enterprise.deploy.model.DDBean

      `addXpathListener, getAttributeNames, getAttributeValue, getChildBean, getId, getRoot, getText, getText, removeXpathListener`

- - ### Method Detail

    - #### getType

          ModuleType getType()

      Return the ModuleType of deployment descriptor.
      Returns:
        The ModuleType of deployment descriptor

    - #### getDeployableObject

          DeployableObject getDeployableObject()

      Return the containing DeployableObject
      Returns:
        The DeployableObject that contains this deployment descriptor

    - #### getModuleDTDVersion

          String getModuleDTDVersion()

      Deprecated. As of version 1.1 replaced by DDBeanRoot.getDDBeanRootVersion()
      A convenience method to return the DTD version number. The DeployableObject has this information.
      Returns:
        a string containing the DTD version number This method is being deprecated. Two DD data formats are being used, DTD and XML Schema. DDBeanRoot.getDDBeanRootVersion should be used in its place.

    - #### getDDBeanRootVersion

          String getDDBeanRootVersion()

      Returns the version number of an XML instance document. This method is replacing the methods DDBeanRoot.getModuleDTDVersion and DeployableObject.getModuleDTDVersion. This method returns the version number of any Java EE XML instance document.
      Returns:
        a string that is the version number of the XML instance document. Null is returned if no version number can be found.

    - #### getXpath

          String getXpath()

      Return the XPath for this standard bean. The root XPath is "/".
      Specified by:
        `getXpath` in interface `DDBean`
      Returns:
        "/" this is the root standard bean.

    - #### getFilename

          String getFilename()

      Returns the filename relative to the root of the module of the XML instance document this DDBeanRoot represents.
      Returns:
        String the filename relative to the root of the module

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.